@import url(https://fonts.googleapis.com/css?family=Inter:100,200,300,regular,500,600,700,800,900);
p,
a,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Inter", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  --main-bg-dark: #444C5D;
  --main-color: #444C5D;
  --light-gray: #ECEFF4;
  --main-bg-light: #ECEFF4;
  --btn-bg-color: var(--light-gray);
  --btn-bg-color-hover: #dde2ea;
  --input-bg: var(--light-gray);
  --split-option-bg-color: var(--light-gray);
  --blue: #87C0D0;
  --main-theme: var(--blue);
  min-height: 100vh;
  overflow: hidden;
  background-color: var(--main-bg-dark);
}
@media (min-width: 500px) {
  body {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    background-color: var(--main-bg-light);
  }
}

.shimmer {
  background-image: -webkit-gradient(linear, left top, right top, from(#eeeeee), color-stop(40%, #eeeeee), color-stop(50%, #dddddd), color-stop(55%, #dddddd), color-stop(65%, #eeeeee), to(#eeeeee));
  background-image: linear-gradient(90deg, #eeeeee 0%, #eeeeee 40%, #dddddd 50%, #dddddd 55%, #eeeeee 65%, #eeeeee 100%);
  background-size: 400%;
  -webkit-animation: shimmer 1500ms infinite;
          animation: shimmer 1500ms infinite;
}

@-webkit-keyframes shimmer {
  from {
    background-position: 100% 100%;
  }
  to {
    background-position: 0 0;
  }
}

@keyframes shimmer {
  from {
    background-position: 100% 100%;
  }
  to {
    background-position: 0 0;
  }
}
.input-container {
  position: relative;
}
.input-container i {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  color: var(--main-theme);
  font-size: 1.5rem;
  left: 8%;
}
.input-container input {
  border-radius: 0.5rem;
  background-color: var(--input-bg);
  color: var(--main-color);
  width: 100%;
  border: none;
  padding: 0.5rem 1.5rem 0.5rem 2rem;
  text-align: right;
  font-size: 2rem;
  border: 2px solid transparent;
  -webkit-transition: border 0.3s ease;
  transition: border 0.3s ease;
}
.input-container input::-webkit-input-placeholder {
  color: #ccc;
}
.input-container input::-moz-placeholder {
  color: #ccc;
}
.input-container input:-ms-input-placeholder {
  color: #ccc;
}
.input-container input::-ms-input-placeholder {
  color: #ccc;
}
.input-container input::placeholder {
  color: #ccc;
}
.input-container input:focus {
  outline: none;
  border-color: var(--main-theme);
}

button {
  border-radius: 0.33rem;
  background-color: var(--btn-bg-color);
  color: var(--main-color);
  padding: 0.75rem;
  border: none;
  width: 100%;
  cursor: pointer;
  -webkit-transition: background 0.3s ease, color 0.3s ease;
  transition: background 0.3s ease, color 0.3s ease;
}
button span {
  pointer-events: none;
}
button:hover {
  background-color: var(--btn-bg-color-hover);
}
button.active {
  background-color: var(--main-theme);
  color: white;
  font-weight: 400;
}

.overlay {
  background-color: rgba(0, 0, 0, 0.33);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: var(--main-color);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  opacity: 0;
  pointer-events: none;
  z-index: 100;
  -webkit-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
}
.overlay .modal {
  background-color: white;
  border-radius: 1rem;
  width: 100%;
  max-width: 320px;
  margin: 0 auto;
  opacity: 0;
  position: relative;
  padding: 2rem;
  -webkit-box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
          box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
}
.overlay .modal i.fa-x {
  border-radius: 0.35rem;
  color: var(--main-color);
  position: absolute;
  padding: 0.5rem 0.75rem;
  top: 10px;
  right: 15px;
  cursor: pointer;
  -webkit-transition: background 0.3s ease;
  transition: background 0.3s ease;
}
.overlay .modal i.fa-x:hover {
  background-color: var(--btn-bg-color);
}
.overlay .modal p {
  text-align: center;
  margin-bottom: 1.5rem;
}
.overlay .modal button {
  background-color: var(--main-theme);
  margin-top: 1rem;
  opacity: 1;
  pointer-events: auto;
  color: white;
  -webkit-transition: opacity 0.3s ease, color 0.3s ease;
  transition: opacity 0.3s ease, color 0.3s ease;
}
.overlay .modal button:hover {
  color: white;
}
.overlay .modal button.disabled {
  background-color: var(--btn-bg-color);
  opacity: 0.25;
  pointer-events: none;
  color: black;
}
.overlay.show {
  opacity: 1;
  pointer-events: auto;
}
.overlay.show .modal {
  -webkit-animation: slideInUp 0.6s ease forwards;
          animation: slideInUp 0.6s ease forwards;
  opacity: 1;
}

.calculator-container {
  width: 100%;
  max-width: 450px;
  margin: 0 auto;
  display: grid;
  grid-template-rows: 1fr 150px;
  padding: 0.5rem;
  min-height: 100vh;
  -webkit-transition: -webkit-filter 1s ease;
  transition: -webkit-filter 1s ease;
  transition: filter 1s ease;
  transition: filter 1s ease, -webkit-filter 1s ease;
}
@media (min-width: 500px) {
  .calculator-container {
    background-color: var(--main-bg-dark);
    border-radius: 1rem;
    padding: 0.4rem;
    min-height: auto;
    grid-template-rows: 1fr auto;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
            box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  }
}
.calculator-container.blur {
  -webkit-filter: blur(1.5px);
          filter: blur(1.5px);
}

.calculator-functions {
  background-color: white;
  border-radius: 1rem;
  color: var(--main-color);
  padding: 1rem;
}
@media (min-width: 500px) {
  .calculator-functions {
    padding: 2.5rem 3.5rem;
  }
}
.calculator-functions section {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  margin-bottom: 2rem;
}
.calculator-functions section:last-child {
  margin-bottom: 0;
}
.calculator-functions section p.section-title {
  text-align: center;
  margin-bottom: 1.5rem;
}
@media (min-width: 500px) {
  .calculator-functions {
    border-radius: 0.75rem;
  }
}

section.bill-amount .bill-info-group {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
  -webkit-box-pack: space-evenly;
      -ms-flex-pack: space-evenly;
          justify-content: space-evenly;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 0;
  font-size: 0.8rem;
  overflow: hidden;
  -webkit-transition: height 0.3s ease;
  transition: height 0.3s ease;
}
@media (min-width: 500px) {
  section.bill-amount .bill-info-group {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
}
section.bill-amount .bill-info-group span {
  font-weight: 500;
  color: black;
}
section.bill-amount .bill-info-group.show {
  margin-top: 1rem;
  height: 35px;
}
@media (min-width: 500px) {
  section.bill-amount .bill-info-group.show {
    height: 17px;
  }
}

section.tip-amount .tip-option-btn-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.5rem;
  margin-bottom: 0.5rem;
}
section.tip-amount .tip-option-btn-container button.active {
  font-size: 1.1rem;
}
section.tip-amount button.custom-tip-btn.active {
  background-color: var(--main-theme);
  font-size: 1.1rem;
  color: white;
}

section.split-amount ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.25rem;
  list-style: none;
}
section.split-amount ul li {
  border-radius: 50%;
  height: 50px;
  width: 50px;
  background-color: var(--split-option-bg-color);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  cursor: pointer;
  border: 2px solid transparent;
  opacity: 0.35;
  -webkit-transition: opacity 0.3s ease;
  transition: opacity 0.3s ease;
}
section.split-amount ul li i {
  color: var(--main-theme);
  font-size: 1.25rem;
}
section.split-amount ul li.pending {
  opacity: 1;
}
section.split-amount ul li.active {
  border-color: #ccc;
  border-color: var(--main-theme);
  opacity: 1;
}

.final-output {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.final-output i, .final-output span {
  color: var(--main-theme);
  font-weight: 600;
}
.final-output i {
  font-size: 1.5rem;
  margin-bottom: 2rem;
  margin-right: 0.5rem;
}
.final-output span {
  font-size: 3rem;
}
.final-output p {
  color: white;
  font-size: 0.9rem;
}
@media (min-width: 500px) {
  .final-output {
    padding: 2.5rem 1rem;
  }
  .final-output i {
    font-size: 2rem;
  }
  .final-output span {
    font-size: 4rem;
  }
}